// priority: 1003

StartupEvents.registry("block", (e) => {
  const blocks = [
    { name: "ftbevolution:pyramid_base", displayName: "FTB Pyramid Base" },
    { name: "ftbevolution:pyra_mid_lower", displayName: "FTB Pyramid Mid Lower" },
    { name: "ftbevolution:pyra_mid_upper", displayName: "FTB Pyramid Mid Upper" },
    { name: "ftbevolution:pyramid_top", displayName: "FTB Pyramid Top" },
  ];

  blocks.forEach((block) => {
    e.create(block.name)
      .hardness(2)
      .requiresTool(true)
      .tagBlock("mineable/axe")
      .tagBlock("mineable/pickaxe")
      .displayName(block.displayName);
  });
});
